Function Parse-IniFile ($file)
{
 [String]$iniXMLString = '<?xml version="1.0" ?><ini>'
 $opentag = ""

 switch -regex -file $file
 {
  "^\[(.+)\]$"
  {
   if ($opentag -ne "") { $iniXMLString += "</"+$opentag +">" }
   $section = $matches[1].Trim()
   $iniXMLString += "<" + $section + ">"
   $opentag = $section

      }  "^\s*([^#].+?)\s*=\s*(.*)"
  {
   $name,$value = $matches[1..2]
   $iniXMLString += "<" + $name + ">" + $value + "</" + $name + ">"
  }
 }
 if ($tagopen -ne "") { $iniXMLString += "</"+$opentag+">" }
 $iniXMLString += "</ini>"
 Return $iniXMLString
}


Function Loop-XML($node, $first) {
 $returnValue = ""
 if ($node.HasChildNodes) {
  if ($node.FirstChild.Name -eq "#text") {
   $returnValue += ($node.name + "=" + $node.FirstChild.value) + "`r`n"
  } else {
   if (!$first) {
    $returnValue +=  ("[" + $node.name + "]")  + "`r`n"
   }
   foreach($item in $node.ChildNodes) {
     $returnValue +=  (Loop-XML $item $FALSE)
   }
  }
 }
 Return $returnValue
}



$iniXMLString = Parse-IniFile ".\Test.ini"
[xml]$iniXML = $iniXMLString

$newIni = Loop-XML $iniXML.ini $true
Set-Content ".\myNewFile.ini" $newIni